# Public IP Address
### Find your external IP address on the internet

It is a python code to make a request to [https://ipv4.icanhazip.com](https://ipv4.icanhazip.com), which in turn send a response back with your External IP address.

This response is in HTML so it also extracts only useful information from it and prints it as an output.

#### Requirements:
* Install requests module.
* run `pip install requests`

#### Usage

* Clone the repo 
* open the `Public IP Address` folder
* run `python my_public_ip.py`
* You just recieved your public IP.
